Update to React 0.14
James, could we upgrade React to 0.14? It contains a fix to generate XML-compatible void tags and boolean attributes, needed for use in XUL and XHTML (see https://github.com/facebook/react/issues/4756).